
# Uninstall McAfee Agent
if (Test-Path "${Env:ProgramFiles}\Network Associates\Common Framework\frminst.exe") {
    Start-Process "${Env:ProgramFiles}\Network Associates\Common Framework\frminst.exe" -ArgumentList "/forceuninstall" -Wait
}
if (Test-Path "${Env:ProgramFiles}\McAfee\Common Framework\frminst.exe") {
    Start-Process "${Env:ProgramFiles}\McAfee\Common Framework\frminst.exe" -ArgumentList "/forceuninstall" -Wait
}
if (Test-Path "${Env:ProgramFiles(x86)}\Network Associates\Common Framework\frminst.exe") {
    Start-Process "${Env:ProgramFiles(x86)}\Network Associates\Common Framework\frminst.exe" -ArgumentList "/forceuninstall" -Wait
}
if (Test-Path "${Env:ProgramFiles(x86)}\McAfee\Common Framework\frminst.exe") {
    Start-Process "${Env:ProgramFiles(x86)}\McAfee\Common Framework\frminst.exe" -ArgumentList "/forceuninstall" -Wait
}

# Uninstall McAfee ePO-MVT
Start-Process "msiexec.exe" -ArgumentList "/quiet /norestart /x {C47ECFA8-05D1-4E03-82F6-95E99C904165}" -Wait

# Uninstall McAfee Virtual Technician
Start-Process "msiexec.exe" -ArgumentList "/quiet /norestart /x {166E180E-9A3F-41AE-8B40-22D8FFF4AF87}" -Wait
